Page MenuHomePhabricator

Duplicate icons: 'picture' and 'image'
Closed, ResolvedPublic

Description

We have duplicate icons: 'picture' and 'image' (plus several variants of this one). We should probably merge them, keeping the first (original) for Apex theme and the second for MediaWiki theme.

Should be done in tandem with T111044.

Details

Event Timeline

matmarex created this task.Aug 25 2015, 5:36 PM
matmarex raised the priority of this task from to Needs Triage.
matmarex updated the task description. (Show Details)
matmarex added projects: good first task, OOUI.
matmarex added subscribers: Aklapper, matmarex.

"Easy"? You mean "Breaking change"?

Devirk claimed this task.Oct 21 2015, 4:57 PM
Devirk set Security to None.
Devirk added a subscriber: Devirk.
Jdforrester-WMF triaged this task as Low priority.Oct 21 2015, 5:20 PM
Jdforrester-WMF removed a project: good first task.

We can leave a deprecated alias behind

@matmarex can you give me any pointers as to how to get started with the bug? By apex theme do you mean skin:apex and by mediawiki theme do you mean skin:vector?

oojsui has two themes: Apex & MediaWIki.

In MediaWiki (the software, not the theme), there are many themes, but the two most popular: Vector & Monobook use MedaiWiki & Apex OOUI themes respectively.

A good place to start is the OOUI demos: https://doc.wikimedia.org/oojs-ui/master/demos/#icons-mediawiki-mixed-ltr

Change 252496 had a related patch set uploaded (by Esanders):
[DEPRECATING CHANGE] Duplicate icons: Unify 'picture' and 'image'

https://gerrit.wikimedia.org/r/252496

Jdforrester-WMF closed this task as Resolved.Nov 11 2015, 8:08 PM
Jdforrester-WMF reassigned this task from Devirk to Esanders.
Jdforrester-WMF edited projects, added OOjs-UI-next-release; removed Patch-For-Review.

Change 252496 merged by jenkins-bot:
[DEPRECATING CHANGE] Duplicate icons: Unify 'picture' and 'image'

https://gerrit.wikimedia.org/r/252496

Jdforrester-WMF moved this task from Backlog to Reviewing on the OOUI board.Nov 21 2015, 2:30 AM